database_api.list_smt_contributions
since HF23 deprecated
SMT has been abandoned; this RPC method is no longer provided.
Purpose
Listet SMT-Einzahlungen (Smart Media Token, SMT) auf. Einzahlungen (contributions) werden benötigt, um einzelne Einzahlungen an einem SMT während der ICO-Phase nachzuverfolgen. Parameter: start:array; limit:int; order:string
starthängt vonorderab (siehe unten)limit- bis zu 1000.orderkann einer der folgenden sein:by_symbol_id- Ordnung nach Symbolby_symbol_contributor- Ordnung nachsymbol,contributorundcontribution_id
| start (array) | limit (int) | order (string) | |-------------------|-|-|-|-|-| | [{"nai": "@@422838704", "decimals": 0}, 0] | 10 | by_symbol_id | listet 10 Einzahlungen auf, geordnet nach Symbol, ID | | [{"nai": "@@422838704", "decimals": 0}, "alice", 0] | 10 | by_symbol_contributor | listet 10 Einzahlungen auf, geordnet nach Symbol, Einzahler, ID |
Siehe: Token Units, Vesting Contributions
Siehe auch: Paginated API Methods
Parameters
{
"start": null,
"limit": 0,
"order": "by_symbol_id"
}⚠ Diese Methode ist veraltet (SMT-Ära) und wird von öffentlichen Knoten nicht mehr bereitgestellt.
Example
Example 1
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_contributions",
"params": {
"start": [
{
"nai": "@@422838704",
"decimals": 0
},
0
],
"limit": 10,
"order": "by_symbol_id"
},
"id": 1
}'Example 2
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_contributions",
"params": {
"start": [
{
"nai": "@@422838704",
"decimals": 0
},
"alice",
0
],
"limit": 10,
"order": "by_symbol_contributor"
},
"id": 1
}'Response
{
"contributions": [
{
"id": 0,
"symbol": {
"nai": "@@422838704",
"decimals": 0
},
"contributor": "alice",
"contribution_id": 0,
"contribution": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
}
}
]
}